import request from '@/utils/request'

// 查询批次说明列表
export function listBatchDetail(query) {
  return request({
    url: '/mall/BatchDetail/list',
    method: 'get',
    params: query
  })
}

// 查询批次说明详细
export function getBatchDetail(batchDetailId) {
  return request({
    url: '/mall/BatchDetail/' + batchDetailId,
    method: 'get'
  })
}

// 新增批次说明
export function addBatchDetail(data) {
  return request({
    url: '/mall/BatchDetail',
    method: 'post',
    data: data
  })
}

// 修改批次说明
export function updateBatchDetail(data) {
  return request({
    url: '/mall/BatchDetail',
    method: 'put',
    data: data
  })
}

// 删除批次说明
export function delBatchDetail(batchDetailId) {
  return request({
    url: '/mall/BatchDetail/' + batchDetailId,
    method: 'delete'
  })
}
